## Class TSqlMapXmlConfiguration

Description

TSqlMapXmlConfig class.

Configures the TSqlMapManager using xml configuration file.

- since: 3.1
- version: $Id: TSqlMapXmlConfiguration.php 2112 2007-08-06 18:58:55Z xue $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TSqlMapXmlConfiguration.php (line 132)

    TSqlMapXmlConfigBuilder
       |
       --TSqlMapXmlConfiguration

Method Summary
TSqlMapXmlConfiguration __construct (TSqlMapManager $manager)
void attachCacheModels ()
void configure ([string $filename = null])
void getConfigFile ()
void getManager ()
void loadDatabaseConnection (SimpleXmlElement $node)
void loadGlobalProperty (SimpleXmlElement $node)
void loadSqlMappingFiles (unknown_type $node)
void loadTypeHandler (SimpleXmlElement $node)
string replaceProperties (string $string)
void resolveResultMapping ()
Methods
Constructor __construct (line 150)

- access: public

TSqlMapXmlConfiguration __construct (TSqlMapManager $manager)

- TSqlMapManager $manager: manager instance.

attachCacheModels (line 266)

Set the cache for each statement having a cache model property.

- access: protected

void attachCacheModels ()
configure (line 169)

Configure the TSqlMapManager using the given xml file.

- access: public

void configure ([string $filename = null])

- string $filename: SqlMap configuration xml file.

getConfigFile (line 160)

- access: protected

void getConfigFile ()

Redefinition of:

TSqlMapXmlConfigBuilder::getConfigFile()

getManager (line 155)

- access: public

void getManager ()
loadDatabaseConnection (line 217)

Load the database connection tag.

- access: protected

void loadDatabaseConnection (SimpleXmlElement $node)

- SimpleXmlElement $node: connection node.

loadGlobalProperty (line 198)

Load global replacement property.

- access: protected

void loadGlobalProperty (SimpleXmlElement $node)

- SimpleXmlElement $node: property node.

loadSqlMappingFiles (line 227)

Load SqlMap mapping configuration.

- access: protected

void loadSqlMappingFiles (unknown_type $node)

- unknown_type $node

loadTypeHandler (line 207)

Load the type handler configurations.

- access: protected

void loadTypeHandler (SimpleXmlElement $node)

- SimpleXmlElement $node: type handler node

replaceProperties (line 284)

Replace the place holders ${name} in text with properties the corresponding global property value.

- return: string with global property replacement.
- access: public

string replaceProperties (string $string)

- string $string: original string.

resolveResultMapping (line 240)

Resolve nest result mappings.

- access: protected

void resolveResultMapping ()

#### Inherited Methods

Inherited From TSqlMapXmlConfigBuilder

> TSqlMapXmlConfigBuilder::createObjectFromNode()
> TSqlMapXmlConfigBuilder::getAbsoluteFilePath()
> TSqlMapXmlConfigBuilder::getConfigFile()
> TSqlMapXmlConfigBuilder::getElementByIdValue()
> TSqlMapXmlConfigBuilder::loadXmlDocument()
> TSqlMapXmlConfigBuilder::setObjectPropFromNode()

Documentation generated on Mon, 21 Apr 2008 11:36:20 -0400 by phpDocumentor 1.3.0RC4